General

Products

 

Manage products.

Create

API call to create new products.

Path

POST /products/create

Request Body

{
  "records": [{
    "name": "Generic Wooden Ball",
    "description": "Good For Training And Recreational Purposes",
    "code": "PRD-606075",
    "unit_label": "each",
    "price_excl": "2409.86",
    "is_tax": false,
    "pricing_type": "RECURRING",
    "billing_period": "MONTHLY",
    "custom_period": null,
    "custom_interval": null
  }]
}

Response Body

The response follows the same format as the list response

{
    "status": true,
    "results": [{
        "id": "prd_9SUJa861SBeZJeDB8SgcH",
        ...
    }, ...]
}

Parameters

Field
RequiredType
Description
Example
*.nameYString(128)Name of the productGeneric Wooden Ball
*.descriptionNStringDescription of the productGood For Training And Recreational Purposes
*.codeNString(64)Product codePRD-606075
*.unit_labelNString(64)Product unitseach
*.price_exclYDecimalPrice of the product (Excl. VAT)2408.86
*.is_taxNBooleanIs the product taxable. Defaults to false.false
*.pricing_typeYENUM(RECURRING, ONE_TIME)RECURRING
*.billing_periodYENUM(DAILY, WEEKLY, MONTHLY, YEARLY, EVERY_3_MONTHS, EVERY_6_MONTHS, CUSTOM)MONTHLY
*.custom_periodCENUMRequired if billing period is CUSTOM. (DAYS,WEEKS,MONTHS,YEARS)MONTHS
*.custom_intervalCIntegerRequired if billing period is CUSTOM. Custom product interval.2

Update

API call to update existing products.

Path

POST /products/update

Request Body

Only include fields you wish to change (besides id used to find the record).

{
  "records": [{
    "id": "pro_jnhEH8XwIGOFJ2haCAg0Z",
    "name": "Generic Wooden Ball",
    "description": "Good For Training And Recreational Purposes",
    "code": "PRD-606075",
    "unit_label": "each",
    "price_excl": "2409.86",
    "is_tax": false,
    "product_status": "ACTIVE",
    "pricing_type": "RECURRING",
    "billing_period": "MONTHLY",
    "custom_period": null,
    "custom_interval": null
  }]
}

Response Body

The response follows the same format as the list response

{
    "status": true,
    "results": [{
        "id": "prd_9SUJa861SBeZJeDB8SgcH",
        ...
    }, ...]
}

Parameters

Field
RequiredType
Description
Example
idYString(32)Record id to updatepro_jnhEH8XwIGOFJ2haCAg0Z
*.nameNString(128)Name of the productGeneric Wooden Ball
*.descriptionNStringDescription of the productGood For Training And Recreational Purposes
*.codeNString(64)Product codePRD-606075
*.unit_labelNString(64)Product unitseach
*.price_exclNDecimalPrice of the product (Excl. VAT)2408.86
*.is_taxNBooleanIs the product taxable. Defaults to false.false
*.product_statusNENUM(DISABLED, ACTIVE, ARCHIVED, DELETED)ACTIVE
*.pricing_typeNENUM(RECURRING, ONE_TIME)RECURRING
*.billing_periodNENUM(DAILY, WEEKLY, MONTHLY, YEARLY, EVERY_3_MONTHS, EVERY_6_MONTHS, CUSTOM)MONTHLY
*.custom_periodNENUM(DAYS,WEEKS,MONTHS,YEARS)MONTHS
*.custom_intervalNIntegerCustom product interval.2

List

List all active products available on the platform.

Path

GET /products

Response Body

{
    "status": true,
    "records": [{
      "id": "prd_9SUJa861SBeZJeDB8SgcH",
      "created_at": "2026-01-01",
      "updated_at": null,
      "deleted_at": null,
      "archived_at": "2027-04-03",
      "name": "Generic Wooden Ball",
      "description": "Good For Training And Recreational Purposes",
      "code": "PRD-606075",
      "unit_label": "each",
      "price_excl": "2409.86",
      "is_tax": false,
      "product_status": "ACTIVE",
      "pricing_type": "RECURRING",
      "billing_period": "MONTHLY",
      "custom_period": null,
      "custom_interval": null,
      "picture_default": null,
      "pictures": {...}
    }, {
      ...
    }]
}

Response Parameters

FieldTypeDescriptionExample
statusBooleantrue - success, false - errortrue
recordsArray of objects
*.idString(32)Unique ID of the productprd_9SUJa861SBeZJeDB8SgcH
*.created_atDate(YYYY-MM-DD)When the product was created2026-01-01
*.updated_atDate(YYYY-MM-DD)When the product was last updated2026-01-03
*.deleted_atDate(YYYY-MM-DD)When the product was deleted2026-02-12
*.archived_atDate(YYYY-MM-DD)When the product was archived2027-04-03
*.nameString(128)Name of the productGeneric Wooden Ball
*.descriptionStringDescription of the productGood For Training And Recreational Purposes
*.codeString(64)Product codePRD-606075
*.unit_labelString(64)Product unitseach
*.price_exclDecimalPrice of the product (Excl. VAT)2408.86
*.is_taxBooleanIs the product taxablefalse
*.product_statusENUM(DISABLED, ACTIVE, ARCHIVED, DELETED)ACTIVE
*.pricing_typeENUM(RECURRING, ONE_TIME)RECURRING
*.billing_periodENUM(DAILY, WEEKLY, MONTHLY, YEARLY, EVERY_3_MONTHS, EVERY_6_MONTHS, CUSTOM)MONTHLY
*.custom_periodENUM(DAYS,WEEKS,MONTHS,YEARS)MONTHS
*.custom_intervalIntegerCustom product interval. Required if billing period is custom.2
*.picture_defaultStringDefault picture
*.picturesObjectPictures list